#include <objbase.h>
#include <stdio.h>

#include "lstr.h"

long g_cLock = -1;   
long g_cObj = 0;                                    

STDAPI DllGetClassObject (REFCLSID rclsid,REFIID riid,void **ppv)
{
    HRESULT hr;
    CLowerStrClassFactory *pObj;

	if (CLSID_CLowerStr!= rclsid)
		return ResultFromScode(E_FAIL);

	pObj = new CLowerStrClassFactory();

	if (!pObj)
		return ResultFromScode (E_OUTOFMEMORY);

	hr= pObj->QueryInterface(riid,ppv);

	if (FAILED(hr))
        delete pObj;
    return hr;
} 


STDAPI DllCanUnloadNow (void)
{
  SCODE sc;

  sc=(0L==g_cObj && 0L==g_cLock)? S_OK : S_FALSE;
  return ResultFromScode (sc);
}


